polybori::CBlockDegreeCache< DDType > Class Template Reference

`#include <CDegreeCache.h>`

Inheritance diagram for polybori::CBlockDegreeCache< DDType >:

## Public Types

Define generic access to data types
typedef DDType | dd_type
typedef CCacheTypes::block_degree | tag_type
typedef CCacheManagement< BoolePolyRing, tag_type, 2 > | base
typedef CBlockDegreeCache< dd_type > | self
Adopt type definitions
typedef base::node_type | input_node_type
typedef base::manager_type | manager_type
typedef dd_type::navigator | navi_type
typedef CIndexHandle< navi_type > | node_type
typedef CIndexCacheHandle< navi_type > | node_cache_type
Public Types inherited from polybori::CCacheManagement< BoolePolyRing, CCacheTypes::block_degree, 2 >
typedef CCacheManBase< manager_type, cache_type, nargs > | base
| Name base type. More...
typedef base::node_type | node_type
| Extracting inherited node type. More...
enum |
typedef BoolePolyRing | manager_type
typedef manager_type::deg_type | deg_type
typedef manager_type::size_type | size_type
typedef manager_type::idx_type | idx_type
typedef CCacheTypes::block_degree | cache_type

## Public Member Functions

| CBlockDegreeCache (const manager_type &mgr)
| Constructor. More...
| CBlockDegreeCache (const self &rhs)
| Copy Constructor. More...
| ~CBlockDegreeCache ()
| Destructor. More...
node_type | find (input_node_type navi, idx_type idx) const
| Find cached degree wrt. given navigator. More...
node_type | find (navi_type navi, idx_type idx) const
void | insert (input_node_type navi, idx_type idx, size_type deg) const
| Store cached degree wrt. given navigator. More...
void | insert (navi_type navi, idx_type idx, size_type deg) const
| Store cached degree wrt. given navigator. More...
Public Member Functions inherited from polybori::CCacheManagement< BoolePolyRing, CCacheTypes::block_degree, 2 >
| CCacheManagement (const manager_type &mgr)
| Constructor and default constructor. More...

## Member Typedef Documentation

template<class DDType>

typedef CCacheManagement<BoolePolyRing, tag_type, 2> polybori::CBlockDegreeCache< DDType >::base

template<class DDType>

typedef DDType polybori::CBlockDegreeCache< DDType >::dd_type

template<class DDType>

typedef base::node_type polybori::CBlockDegreeCache< DDType >::input_node_type

template<class DDType>

typedef base::manager_type polybori::CBlockDegreeCache< DDType >::manager_type

template<class DDType>

typedef dd_type::navigator polybori::CBlockDegreeCache< DDType >::navi_type

template<class DDType>

typedef CIndexCacheHandle<navi_type> polybori::CBlockDegreeCache< DDType >::node_cache_type

template<class DDType>

typedef CIndexHandle<navi_type> polybori::CBlockDegreeCache< DDType >::node_type

template<class DDType>

typedef CBlockDegreeCache<dd_type> polybori::CBlockDegreeCache< DDType >::self

template<class DDType>

typedef CCacheTypes::block_degree polybori::CBlockDegreeCache< DDType >::tag_type

## Constructor & Destructor Documentation

template<class DDType>

polybori::CBlockDegreeCache< DDType >::CBlockDegreeCache | ( | const manager_type & | mgr | ) |

inline

Constructor.

template<class DDType>

polybori::CBlockDegreeCache< DDType >::CBlockDegreeCache | ( | const self & | rhs | ) |

inline

Copy Constructor.

template<class DDType>

polybori::CBlockDegreeCache< DDType >::~CBlockDegreeCache | ( |  | ) |

inline

Destructor.

## Member Function Documentation

template<class DDType>

node_type polybori::CBlockDegreeCache< DDType >::find | ( | input_node_type | navi,
|  | idx_type | idx
| ) |  | const

inline

Find cached degree wrt. given navigator.

template<class DDType>

node_type polybori::CBlockDegreeCache< DDType >::find | ( | navi_type | navi,
|  | idx_type | idx
| ) |  | const

inline

template<class DDType>

void polybori::CBlockDegreeCache< DDType >::insert | ( | input_node_type | navi,
|  | idx_type | idx,
|  | size_type | deg
| ) |  | const

inline

Store cached degree wrt. given navigator.

template<class DDType>

void polybori::CBlockDegreeCache< DDType >::insert | ( | navi_type | navi,
|  | idx_type | idx,
|  | size_type | deg
| ) |  | const

inline

Store cached degree wrt. given navigator.

The documentation for this class was generated from the following file:

- CDegreeCache.h